services:
    _defaults:
        autowire: true
        autoconfigure: true

    chill_task.single_task_repository:
        class: Chill\TaskBundle\Repository\SingleTaskRepository
        factory: ['@doctrine.orm.entity_manager', getRepository]
        arguments:
            - 'Chill\TaskBundle\Entity\SingleTask'
        calls:
            - method: setAuthorizationHelper
              arguments:
                  - "@chill.main.security.authorization.helper"
    Chill\TaskBundle\Repository\SingleTaskRepository: '@chill_task.single_task_repository'

    Chill\TaskBundle\Repository\SingleTaskAclAwareRepository: ~

    Chill\TaskBundle\Repository\SingleTaskAclAwareRepositoryInterface: '@Chill\TaskBundle\Repository\SingleTaskAclAwareRepository'

    Chill\TaskBundle\Repository\SingleTaskStateRepository: ~
